#include <stdio.h>
#include <SDL/SDL_image.h>
#include "item.h"
#include "jugador.h"

using namespace std;

Item::Item(int x, int y):x_(x),y_(y)
{
	SDL_Surface *image=IMG_Load("img/mierda.png");
	if ( image == NULL ) {
	        fprintf(stderr, "No pude cargar %s: %s\n", "mierda.png", SDL_GetError());
	        return;
	}
	
	h_=image->h;
	w_=image->w;}

void Item::mover()
{
	y_++;
}

int Item::cordenadaxi()const
{
	return x_;
}

int Item::cordenadaxf()const
{
	return x_+w_;
}

int Item::cordenadayi()const
{
	return y_;
}

int Item::cordenadayf()const
{
	return y_+h_;
}

void Item::mostrar(SDL_Surface *screen)const
{
    SDL_Rect dest;
    SDL_Surface *image = IMG_Load("img/mierda.png");
    if ( image == NULL ) {
        fprintf(stderr, "No pude cargar %s: %s\n", "mierda.png", SDL_GetError());
        return;
    }

    /* Volcamos en la superficie de pantalla.
       Las superficies no deberían estar bloqueadas 
       en este punto. */
    dest.x = x_;
    dest.y = y_;
    dest.w = w_;
    dest.h = h_;
    SDL_BlitSurface(image, NULL, screen, &dest);

    SDL_FreeSurface(image);
}

bool Item::colision(const Jugador& j)
{
	if( x_+5>=j.cordenadaxi() && x_+5<= j.cordenadaxf() && y_+5>=j.cordenadayi() && y_+5 <= j.cordenadayf())	
		return true;
	else if( (x_-5+w_)>=j.cordenadaxi() && (x_-5+w_)<= j.cordenadaxf() && y_+5>=j.cordenadayi() && y_ +5<= j.cordenadayf())
		return true;
	else if( x_+5>=j.cordenadaxi() && x_+5<= j.cordenadaxf() && (y_-5+h_)>=j.cordenadayi() && (y_-5+h_) <= j.cordenadayf())
		return true;
	else if( (x_-5+w_)>=j.cordenadaxi() && (x_-5+w_)<= j.cordenadaxf() && (y_-5+h_)>=j.cordenadayi() && (y_-5+h_) <= j.cordenadayf())
		return true;
	else 
		return false;
	
}



