#include <iostream>
#include <iomanip>

#include <SDL/SDL.h>
#include <SDL/SDL_image.h>

#include "nivel.h"
#include "jugador.h"
#include "enemigo.h"

#define TEMPO 80

using namespace std;


void instrucciones(SDL_Surface* pantalla)
{
SDL_Event evento;
SDL_Surface *imagen;
imagen= IMG_Load("img/menu-instrucciones.PNG");
SDL_BlitSurface(imagen, NULL, pantalla, NULL);
SDL_Flip(pantalla);
for(;;)
	if(SDL_PollEvent(&evento))
		if(evento.type == SDL_KEYDOWN)
			if(evento.key.keysym.sym == SDLK_RETURN)
				return;
SDL_FreeSurface(imagen);
		
}

void creditos(SDL_Surface* pantalla){
SDL_Event evento;
SDL_Surface *imagen;
imagen= IMG_Load("img/menu-creditos.PNG");
SDL_BlitSurface(imagen, NULL, pantalla, NULL);
SDL_Flip(pantalla);
for(;;)
	if(SDL_PollEvent(&evento))
		if(evento.type == SDL_KEYDOWN)
			if(evento.key.keysym.sym == SDLK_RETURN)
				return;
SDL_FreeSurface(imagen);
}

int main()
{

    // Iniciamos el subsistema de video

    if(SDL_Init(SDL_INIT_VIDEO) < 0) {

	cerr << "No se pudo iniciar SDL: " << SDL_GetError() << endl;
	exit(1);
	
    }


    atexit(SDL_Quit);

    // Comprobamos que sea compatible el modo de video
    
    if(SDL_VideoModeOK(800, 600, 24, SDL_HWSURFACE|SDL_DOUBLEBUF) == 0) {
	
        cerr << "Modo no soportado: " << SDL_GetError() << endl;
        exit(1);
	
    }

    // Establecemos el nombre de la ventana

    SDL_WM_SetCaption("Maldituxesi", NULL);
    // Establecemos el modo de video

    SDL_Surface *pantalla;

    pantalla = SDL_SetVideoMode(800, 600, 24, SDL_HWSURFACE|SDL_DOUBLEBUF);

    if(pantalla == NULL) {

        cerr << "No se pudo establecer el modo de video: "
             << SDL_GetError() << endl;

        exit(1);
    }


    // Cargamos las imágenes de la animación

    SDL_Surface *imagenes[5];

    imagenes[5] = NULL;

    imagenes[0] = IMG_Load("img/fondo-intro.png");
    imagenes[1] = IMG_Load("img/menu0.png");
    imagenes[2] = IMG_Load("img/menu1.png");
    imagenes[3] = IMG_Load("img/menu2.png");
    imagenes[4] = IMG_Load("img/menu3.png");
   
    // Variables auxiliares

    SDL_Event evento;
    int i = 0;
    Uint32 negro = SDL_MapRGB(pantalla->format, 0, 0, 0);

    Uint32 t0 = SDL_GetTicks();
    Uint32 t1;

    //empezamos la animacion

    t1 = SDL_GetTicks();
	
    // Mostramos una imagen cada medio segundo

while(i<2){
t1 = SDL_GetTicks(); 
   if((t1 - t0) > TEMPO) {
		
		SDL_BlitSurface(imagenes[i], NULL, pantalla, NULL);    
		
		SDL_Flip(pantalla);

		t0 = SDL_GetTicks();
		
		i++;
	}
}
for( ; ; ){
	   t1 = SDL_GetTicks(); 
	    if((t1 - t0) > TEMPO) {
		
		SDL_BlitSurface(imagenes[i], NULL, pantalla, NULL);    
		
		SDL_Flip(pantalla);

		t0 = SDL_GetTicks();
 	    }
//aqui visualizamos los eventos realizados en teclado
	if(SDL_PollEvent(&evento))
	    if(evento.type == SDL_KEYDOWN) {
	
		if(evento.key.keysym.sym == SDLK_UP){

			i--;
			if(i<2)
				i=4;
		}

		if(evento.key.keysym.sym == SDLK_DOWN){

			i++;
			if(i>4)
				i=2;
		}
		if(evento.key.keysym.sym == SDLK_ESCAPE)
		    
		    return 0;
		if(evento.key.keysym.sym == SDLK_RETURN && i==2){
			Nivel n(Jugador (400,400),Enemigo(300,-150));
			int x=n.Jugar(pantalla);
		}
		if(evento.key.keysym.sym == SDLK_RETURN && i==3){
			instrucciones(pantalla);		
		}
		if(evento.key.keysym.sym == SDLK_RETURN && i==4){
			creditos(pantalla);		
		}

	}

    }
  
    
}

